DXMLMSOnline Shim


Hi

I have some trouble starting the remote loader service for MSOnline.
Tried the following:
1) When configured "the usual way" just using the RL Console to select
the DXMLMSOnlineDriver.dll I get two lines in the trace: "Verifying
command port..." and "Verifying driver can be loaded..." before it shuts
down.
2) Found TID 7015184
(https://www.novell.com/support/kb/doc.php?id=7015184) and changed the
config.txt by removing the "-module line" and adding the "-class
"DXMLMSOnlineDriver.SPDriverShim" and -assembly
"C:\Novell\remoteloader.NET\DXMLMSOnlineDriver.dll" which results in an
dialog stating: "Configuration file: Unrecognized command line string
'assembly'" and "The driver did not start. Reason unknown".
3) Removed the "-assembly line" and the the driver almost start but ends
up with a "Driver shim class DXMLMSOnlineDriver.SPDriverShim was not
found", fatal, unable to create driver...

IDM 4.0.2.7
MSODriver 4.0.0.2

Both RemoteLoader(64-bit) and RemoteLoader.Net is installed on the
server.
Tried it on a member-server (win2012r2) and a DC (win2008r2) where the
ADDriver RemoteLoader runs.

Please tell that I just made a typo or some other easy fix :-)

- martin


--
moldin
------------------------------------------------------------------------
moldin's Profile: https://forums.netiq.com/member.php?userid=118
View this thread: https://forums.netiq.com/showthread.php?t=55265


  • Hi Martin,
    Do you have any specific reason, why you are not use latest version of
    MS O365 driver? (currently Office365 Driver 4.1.0.1,
    https://download.novell.com/Download?buildid=-9pain6WDhQ~)
    Please follow all "pre-requirements" steps from documentation.
    (http://tinyurl.com/qhhbl76)

    O365 driver (especially old versions of the driver) was extremely
    "sensitive" to MS support module versions (Microsoft Online Service
    Sign-in Assistant, Windows Azure Active Directory Module for Windows
    Power Shell, .Net, VC , etc).
    Please follow all steps from documentation (don't skip anything).

    Alex


    --
    If you find this post helpful, please show your appreciation by clicking
    on the star below :cool:
    ------------------------------------------------------------------------
    al_b's Profile: https://forums.netiq.com/member.php?userid=209
    View this thread: https://forums.netiq.com/showthread.php?t=55265

  • On Thu, 28 Jan 2016 14:54:01 0000, moldin wrote:

    > Hi
    >
    > I have some trouble starting the remote loader service for MSOnline.
    > Tried the following:
    > 1) When configured "the usual way" just using the RL Console to select
    > the DXMLMSOnlineDriver.dll I get two lines in the trace: "Verifying
    > command port..." and "Verifying driver can be loaded..." before it shuts
    > down.


    Is this the O365 shim? If so, you have to configure it in the
    RemoteLoader.NET interface, not the usual RemoteLoader interface.

    Also, if you have changed the console font (DOS box, cmd.exe, whatever
    you want to call it) from the default, you'll need to change it back to
    successfully configure the remoteloader.


    --
    --------------------------------------------------------------------------
    David Gersic dgersic_@_niu.edu
    Knowledge Partner http://forums.microfocus.com

    Please post questions in the forums. No support provided via email.
    If you find this post helpful, please click on the star below.

  • Thank you for the suggestions.
    When I looked at patches yesterday it was the newest available for IDM
    4.0.2.
    I followed the documentation very carefully and I pretty sure to have
    meet all requirements.

    - martin


    --
    moldin
    ------------------------------------------------------------------------
    moldin's Profile: https://forums.netiq.com/member.php?userid=118
    View this thread: https://forums.netiq.com/showthread.php?t=55265


  • Yes, of cource, Thank you!
    I had used the default rlconsole.
    Using the right interface and manually changing both tho mso-config (to
    use DXMLMSOnlineDriverShim) and the sharepoint-conf (to use port 8002)
    makes it running and connecting with the driver.

    Now I have some other issues but they looks like driver errors which I
    understand a little better :-)
    Thank you again.

    - martin


    --
    moldin
    ------------------------------------------------------------------------
    moldin's Profile: https://forums.netiq.com/member.php?userid=118
    View this thread: https://forums.netiq.com/showthread.php?t=55265


  • Hi Martin,
    Office365 Driver 4.1.0.1 posted in IDM4.5 branch.

    This version include many fixes (compare with "original" 4.0.0.2
    version).
    I was sure, that driver supported for both IDM versions (4.02 and 4.5),
    but now I can see, that IDM4.0.2 support didn't include in the driver
    description.
    > System Requirements
    > Novell Identity Manager 4.5.1 or higher

    Support for IDM4.0.2 required more clarification...


    > Current Fixes and Enhancements (Included in this patch)
    > Office 365 Driver 4.1.0.1
    > Fixes:
    > - Design choice effects driver performance in some situations. Bug
    > 926462
    > - O365 driver publisher polling gets restricted to 1000 users. Bug
    > 940944
    >
    > Previous Fixes and Enhancements
    >
    > Office 365 Driver 4.1.0.0
    > Enhancements:
    > - Added support of .NET 4.5 Framework
    > - Added support of latest MS online modules
    > - Added two new user types support – UserMailbox and MailUser
    > - Added native Powershell support – Capable of executing PS
    > commands by the driver
    > - Added support of most of Azur and Exchange Schema attributes
    > Fixes:
    > - Office 365 shim needs native PS interface. Bug 800676
    > - Office 365 - Need support for hybrid mode. Bug 885228
    > - Office365 Questions - "TypeInitializationException. Bug 904908
    > - Ehn: Full Schema Mapping to Azur. Bug 906780
    > - Ehn: multivalue attributes should be handled correctly. Bug 906782
    > - Office 365 query for user license returns zero results. Bug 913326
    > - Driver fails to set the ManagedBy attribute when a group is created.
    > Bug 922379
    > - No way to set a groups Alias, Display Name and Email Address when
    > creating a group of Group Type =
    > MailEnabledSecurity. Bug 922381
    > - Adding a user to group fails if user has an apostrophe in the UPN. Bug
    > 922799
    > - Office 365 requires publisher channel to be active. Bug 926456
    > - Office 365 Invalid Sync Attribute:LicenseAssignment. Bug 926459
    > - Apostrophes in the Department field are not handled properly, Bug
    > 926460
    > - Office 365 issue with spaces in group alias names. Bug 926465
    > - Primary SMTP Address overwritten on Modify of Email Address attribute.
    > Bug 928091
    > - Resetting of UserPrincipalName does not correctly escape Apostrophe.
    > Bug 928672
    > - Office 365 driver filter change causes driver anomaly. Bug 930774
    > - Investigate driver allowing sub events when rebuilding the cache
    > files. Bug 930921
    > - Remove-all of EmailAddresses fails to remove all the Email ids. Bug
    > 931752
    > - Add EmailAddresses to O365 Driver filter. Bug 934019
    > - Office 365 should not have errors/warnings during normal operations.
    > Bug 934778
    >
    > Office 365 Driver 4.0.0.2



    --
    If you find this post helpful, please show your appreciation by clicking
    on the star below :cool:
    ------------------------------------------------------------------------
    al_b's Profile: https://forums.netiq.com/member.php?userid=209
    View this thread: https://forums.netiq.com/showthread.php?t=55265


  • And I am back...
    The driver and remote loader starts up and connect, but then I get an
    fatal error:
    "Exception caused by DriverShim.getPublicationShim()
    at DXMLMSOnlineDriver.Schema.MSolschema.getClass(String className)
    at DXMLMSOnlineDriver.SPPublisherShim..ctor(SPDriverShim driverShim)
    at DXMLMSOnlineDriver.SPDriverShim.getPublicationShim()
    at DXMLRemote.loader.Driver.startDriver(XmlDocument initDocs)"
    and then the driver shuts down.
    I have tried updating with 4.1.0.1 but then RL can not start, stating
    that "...assembly is built by a runtime newer than the currently loaded
    runtime..."

    Any thoughts on that?


    --
    moldin
    ------------------------------------------------------------------------
    moldin's Profile: https://forums.netiq.com/member.php?userid=118
    View this thread: https://forums.netiq.com/showthread.php?t=55265

  • On 29/01/16 09:24, moldin wrote:
    >
    > Thank you for the suggestions.
    > When I looked at patches yesterday it was the newest available for IDM
    > 4.0.2.
    > I followed the documentation very carefully and I pretty sure to have
    > meet all requirements.
    >
    > - martin
    >
    >


    Hi Martin,

    We do support the IDM 4.5.x .Net RL running the Office 365 driver with
    IDM 4.0.2 Patch 7 engine.

    But it would be nice if people would update...


    Casper

  • cpedersen;264605 Wrote:
    > On 29/01/16 09:24, moldin wrote:
    > Hi Martin,
    >
    > We do support the IDM 4.5.x .Net RL running the Office 365 driver with
    > IDM 4.0.2 Patch 7 engine.
    >
    > But it would be nice if people would update...
    >
    > Casper


    Thank you for your clarification, Casper!
    I remember something about support for IDM 4.0.2.7, but always better to
    have "official" confirmation! :)

    Alex


    --
    If you find this post helpful, please show your appreciation by clicking
    on the star below :cool:
    ------------------------------------------------------------------------
    al_b's Profile: https://forums.netiq.com/member.php?userid=209
    View this thread: https://forums.netiq.com/showthread.php?t=55265


  • Hi Martin,
    It can make sense (especially after Casper comments): new 4.1.0.1 driver
    has "different" pre-requirements: new VC , new .Net and new build of
    ..Net Remote Loader.
    End state is: IDM Engine v4.0.2.7 connect to .Net RL v4.5.3.

    In your case (I believe) you have IDM Engine v4.0.2.x connect to RL
    v4.0.2.x.

    Alex


    --
    If you find this post helpful, please show your appreciation by clicking
    on the star below :cool:
    ------------------------------------------------------------------------
    al_b's Profile: https://forums.netiq.com/member.php?userid=209
    View this thread: https://forums.netiq.com/showthread.php?t=55265


  • Thank you Alex (and Casper)

    I will try with af 4.5.3 RL this afternoon and get back with the
    result.

    - martin


    --
    moldin
    ------------------------------------------------------------------------
    moldin's Profile: https://forums.netiq.com/member.php?userid=118
    View this thread: https://forums.netiq.com/showthread.php?t=55265